Skip to main content
GET
List programs

Authorizations

Authorization
string
header
required

API key authentication. Include your API key as a Bearer token.

Example: Bearer sk_prod_xxxxxx

Get your API key from the Stell Dashboard.

Query Parameters

productType
string

Filter by product type

status
string

Filter by program status

nextToken
string

Token for pagination

limit
string
type
string

Filter by program type

merchantId
string

Response

Programs retrieved successfully

data
object
required

Page of programs plus the pagination cursor

requestId
string
required

Unique request identifier for debugging

Pattern: ^[0-9A-Z]{26}$